Last Comment Bug 754993 - Disable default Dropbox support from Filelink
: Disable default Dropbox support from Filelink
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: General (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: Thunderbird 13.0
Assigned To: Mike Conley (:mconley) - (Needinfo me!)
:
Mentors:
Depends on: 758150
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-14 13:08 PDT by Mike Conley (:mconley) - (Needinfo me!)
Modified: 2012-07-16 10:06 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
+
fixed
+
fixed


Attachments
Patch v1 (669 bytes, patch)
2012-05-14 13:20 PDT, Mike Conley (:mconley) - (Needinfo me!)
mozilla: review+
mozilla: approval‑comm‑aurora+
mozilla: approval‑comm‑beta+
Details | Diff | Splinter Review
Disable Dropbox tests (9.89 KB, patch)
2012-05-15 08:46 PDT, Mike Conley (:mconley) - (Needinfo me!)
mozilla: review+
mozilla: approval‑comm‑aurora+
mozilla: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Mike Conley (:mconley) - (Needinfo me!) 2012-05-14 13:08:22 PDT
Our Dropbox support is not ready, and will not be shipped for TB 13.

We will be disabling it until further notice.
Comment 1 Mike Conley (:mconley) - (Needinfo me!) 2012-05-14 13:20:31 PDT
Created attachment 623795 [details] [diff] [review]
Patch v1
Comment 2 David :Bienvenu 2012-05-14 16:01:40 PDT
Comment on attachment 623795 [details] [diff] [review]
Patch v1

luckily, cloudFileAccounts.js getProviderForType has a try catch so existing accounts that are no longer valid won't mess up the rest of the accounts.
Comment 3 Mike Conley (:mconley) - (Needinfo me!) 2012-05-15 06:28:26 PDT
Comment on attachment 623795 [details] [diff] [review]
Patch v1

I know we want this in beta... but do we want this across the board? Aurora and Daily too?
Comment 4 David :Bienvenu 2012-05-15 07:01:09 PDT
Comment on attachment 623795 [details] [diff] [review]
Patch v1

I think we can hold off on aurora for a bit.
Comment 5 Mike Conley (:mconley) - (Needinfo me!) 2012-05-15 07:37:06 PDT
comm-beta: https://hg.mozilla.org/releases/comm-beta/rev/279def847fd6
Comment 6 Mike Conley (:mconley) - (Needinfo me!) 2012-05-15 08:46:38 PDT
Created attachment 624058 [details] [diff] [review]
Disable Dropbox tests

Whoops - I forgot to wipe out the Dropbox tests as well, which are going to fail hard on beta because the component is now missing.
Comment 7 David :Bienvenu 2012-05-15 08:57:22 PDT
Comment on attachment 624058 [details] [diff] [review]
Disable Dropbox tests

d'oh, oops!
Comment 8 Mike Conley (:mconley) - (Needinfo me!) 2012-06-04 13:04:11 PDT
Unless I hear further on this, I'm going to assume that we want to disable Dropbox on TB 14 as well.
Comment 9 Jb Piacentino 2012-06-04 14:13:56 PDT
(In reply to Mike Conley (:mconley) from comment #8)
> Unless I hear further on this, I'm going to assume that we want to disable
> Dropbox on TB 14 as well.

Yes. That is right.
Comment 10 Mark Banner (:standard8) 2012-06-05 08:36:47 PDT
a=me for transplanting these to latest head on beta.
Comment 11 Mike Conley (:mconley) - (Needinfo me!) 2012-06-05 08:48:15 PDT
Landed in comm-beta for TB 14:

https://hg.mozilla.org/releases/comm-beta/rev/af99fe2a7d91
https://hg.mozilla.org/releases/comm-beta/rev/971cc3fb4346
Comment 12 Mike Conley (:mconley) - (Needinfo me!) 2012-06-21 08:21:44 PDT
Comment on attachment 623795 [details] [diff] [review]
Patch v1

No risk to taking this.
Comment 13 Mike Conley (:mconley) - (Needinfo me!) 2012-06-21 08:22:07 PDT
Comment on attachment 624058 [details] [diff] [review]
Disable Dropbox tests

No risk to taking this.
Comment 14 David :Bienvenu 2012-06-21 08:23:46 PDT
Comment on attachment 623795 [details] [diff] [review]
Patch v1

I don't think this will apply since we landed Ubuntu, but a=me for a patch that would apply... :-)
Comment 15 Mike Conley (:mconley) - (Needinfo me!) 2012-06-21 08:24:47 PDT
(In reply to David :Bienvenu from comment #14)
> Comment on attachment 623795 [details] [diff] [review]
> Patch v1
> 
> I don't think this will apply since we landed Ubuntu, but a=me for a patch
> that would apply... :-)

Good point. I'll make sure it applies cleanly.

Note You need to log in before you can comment on or make changes to this bug.